Subject: Re: [PATCH v3] powerpc: delete boot-cpu property from all DTS files

From: Segher Boessenkool <[email-masked]>
Date: Thu, 15 Feb 2007 02:30:37 +0100

While you're at it...

> -The /cpus/PowerPC,970@0/linux,boot-cpu property is an example of a
> +The /cpus/PowerPC,970@0/64-bit property is an example of a
>  property without a value. All other properties have a value. The

s/All other properties/All other properties in this example/

I had to read this ten times before understanding what was meant :-)

Also, why is there a special header for this in the device tree
blob?  It could just have reused /chosen/cpu (with an identity
ihandle>phandle mapping perhaps) -- just like the /aliases node
could be used for aliases, instead of this new labels scheme.

Why reinvent the wheel :-)

Patch looks good of course.

Segher